curl --request POST \
--url https://api.hubapi.com/automation/v4/flows/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"type": "CONTACT_FLOW",
"id": "<string>",
"isEnabled": true,
"flowType": "WORKFLOW",
"revisionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAvailableActionId": "<string>",
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"edgeType": "GOTO",
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"edgeType": "GOTO",
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{
"day": "FRIDAY",
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"month": "APRIL",
"year": 123
}
],
"customProperties": {},
"dataSources": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"order": "ASC",
"property": "<string>",
"missing": "<string>"
}
}
],
"crmObjectCreationStatus": "PENDING",
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"objectTypeId": "<string>",
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"unEnrollmentSetting": {
"flowIds": [
"<string>"
],
"type": "ALL"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Retrieve details of multiple automation flows by providing a batch of flow IDs in the request body. This endpoint allows for efficient retrieval of multiple flows at once, returning their details in a single response.
curl --request POST \
--url https://api.hubapi.com/automation/v4/flows/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"type": "CONTACT_FLOW",
"id": "<string>",
"isEnabled": true,
"flowType": "WORKFLOW",
"revisionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAvailableActionId": "<string>",
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"edgeType": "GOTO",
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"edgeType": "GOTO",
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{
"day": "FRIDAY",
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"month": "APRIL",
"year": 123
}
],
"customProperties": {},
"dataSources": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"order": "ASC",
"property": "<string>",
"missing": "<string>"
}
}
],
"crmObjectCreationStatus": "PENDING",
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"objectTypeId": "<string>",
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"unEnrollmentSetting": {
"flowIds": [
"<string>"
],
"type": "ALL"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
The date and time when the batch process was completed, formatted as a date-time string.
Show child attributes
The date and time when the batch process began, formatted as a date-time string.
The current status of the batch process, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING A collection of URLs related to the batch process, empty for this operation.
Show child attributes
The date and time when the batch request was initiated, formatted as a date-time string.
Was this page helpful?